<?php
session_start();
require("../../database/dbConection.php");
$dataHoje = date("Y-m-d");
$horaAgora = date("Y-m-d H:i:s");

$opcaoChamada = $_POST['opcaoChamada'];

switch($opcaoChamada){
  case "atendimento-painel-setorconsultorio":
    $idPacienteChamado            = $_POST['idPacienteChamado'];
    $idHorarioAtendimentoChamado  = $_POST['idHorarioAtendimentoChamado'];
    $cpfValidaProfissional        = $_SESSION['cpfValidaProfissional'];
    $unidadeLogada                = $_SESSION['unidadeLogada'];

    # -- limpar chamada
    $sqlExecutaChamada = "UPDATE reg_tb_agendamentos_atender SET
      status_atendimento_painel='Aguardando',
      status_atendimento_painel_mostrar='Chamado',
      data_ultimaalteracao_statuspainel=null
      WHERE (data_atendimento='$dataHoje')
      AND (horario_atendimento='$idHorarioAtendimentoChamado')
      AND (codigoestabelecimento_cnes='$unidadeLogada')
      AND (codigoprofissional_cnes='00000$cpfValidaProfissional')
      AND (status_atendimento_painel='Chamando')";
      //AND (codigoprofissional_cnes='00000$cpfValidaProfissional')
    $stmExecutaChamada = $rsConexao->prepare($sqlExecutaChamada);
    $stmExecutaChamada ->execute();

    $sqlExecutaChamada = "UPDATE reg_tb_agendamentos_atender SET
      status_atendimento_painel='Chamando',
      status_atendimento_painel_mostrar='Chamando',
      data_ultimaalteracao_statuspainel='$horaAgora'
      WHERE (id_paciente='$idPacienteChamado')
      AND (data_atendimento='$dataHoje')
      AND (horario_atendimento='$idHorarioAtendimentoChamado')
      AND (codigoprofissional_cnes='00000$cpfValidaProfissional')
      AND (codigoestabelecimento_cnes='$unidadeLogada')";
    $stmExecutaChamada = $rsConexao->prepare($sqlExecutaChamada);
    $stmExecutaChamada ->execute();

    $sqlExecutaChamada = "UPDATE reg_tb_agendamentos_atender SET
      status_atendimento_painel_mostrar='Chamado',
      data_ultimaalteracao_statuspainel='$horaAgora'
      WHERE (id_paciente!='$idPacienteChamado')
      AND (status_atendimento_painel_mostrar!='') 
      AND (status_atendimento_painel_mostrar is not null)
      AND (status_atendimento_painel_mostrar!= 'Aguardando')
      AND (status_atendimento_painel_mostrar!= 'Atendido')
      AND (data_atendimento='$dataHoje')
      AND (horario_atendimento='$idHorarioAtendimentoChamado')
      AND (codigoprofissional_cnes='00000$cpfValidaProfissional')
      AND (codigoestabelecimento_cnes='$unidadeLogada')";
    $stmExecutaChamada = $rsConexao->prepare($sqlExecutaChamada);
    $stmExecutaChamada ->execute();    
  break;

  case "atendimento-painel-atender":
    $idPacienteChamado            = $_POST['idPacienteChamado'];
    $idHorarioAtendimentoChamado  = $_POST['idHorarioAtendimentoChamado'];
    $cpfValidaProfissional        = $_SESSION['cpfValidaProfissional'];
    $unidadeLogada                = $_SESSION['unidadeLogada'];
    $horaInicioAtendimento        = date("H:i");
    $sqlExecutaChamada = "UPDATE reg_tb_agendamentos_atender SET
      status_atendimento_painel='Em Atendimento',
      status_atendimento_painel_mostrar='Em Atendimento',
      hora_inicio_atendimento='$horaInicioAtendimento'
      WHERE (id_paciente='$idPacienteChamado')
      AND (data_atendimento='$dataHoje')
      AND (horario_atendimento='$idHorarioAtendimentoChamado')
      AND (codigoprofissional_cnes='00000$cpfValidaProfissional')
      AND (codigoestabelecimento_cnes='$unidadeLogada')";
    $stmExecutaChamada = $rsConexao->prepare($sqlExecutaChamada);
    $stmExecutaChamada ->execute();  
  break;
  
  case "atendimento-painel-confirmaratendimento":
    $idPacienteChamado            = $_POST['idPacienteChamado'];
    $idHorarioAtendimentoChamado  = $_POST['idHorarioAtendimentoChamado'];
    $cpfValidaProfissional        = $_SESSION['cpfValidaProfissional'];
    $unidadeLogada                = $_SESSION['unidadeLogada'];
    $horaFimAtendimento           = date("H:i");
    $sqlExecutaChamada = "UPDATE reg_tb_agendamentos_atender SET
      status_atendimento_painel='Atendido',
      status_atendimento_painel_mostrar='Atendido',
      hora_fim_atendimento='$horaFimAtendimento'
      WHERE (id_paciente='$idPacienteChamado')
      AND (data_atendimento='$dataHoje')
      AND (horario_atendimento='$idHorarioAtendimentoChamado')
      AND (codigoprofissional_cnes='00000$cpfValidaProfissional')
      AND (codigoestabelecimento_cnes='$unidadeLogada')";
    $stmExecutaChamada = $rsConexao->prepare($sqlExecutaChamada);
    $stmExecutaChamada ->execute();  
  break;  
}

?>